Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQIconDragEvent Class Reference

The TQIconDragEvent class signals that a main icon drag has begun. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQIconDragEvent ()
- bool isAccepted () const
- void accept ()
- void ignore ()

## Detailed Description

The TQIconDragEvent class signals that a main icon drag has begun.

Icon drag events are sent to widgets when the main icon of a window has been dragged away. On Mac OS X this is fired when the proxy icon of a window is dragged off titlebar, in response to this event is is normal to begin using drag and drop.

See also Event Classes.

## Member Function Documentation

### TQIconDragEvent::TQIconDragEvent ()

Constructs an icon drag event object with the accept parameter flag set to FALSE.

See also accept().

### void TQIconDragEvent::accept ()

Sets the accept flag of the icon drag event object.

Setting the accept flag indicates that the receiver of this event has started a drag and drop oeration.

The accept flag is not set by default.

See also ignore() and TQWidget::hide().

### void TQIconDragEvent::ignore ()

Clears the accept flag of the icon drag object.

Clearing the accept flag indicates that the receiver of this event has not handled the icon drag as a result other events can be sent.

The icon drag event is constructed with the accept flag cleared.

See also accept().

### bool TQIconDragEvent::isAccepted () const

Returns TRUE if the receiver of the event has started a drag and drop operation; otherwise returns FALSE.

See also accept() and ignore().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.